Debian Bug report logs - #107862
newly installed services start automatically

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: Mike McGuire <mjm19@po.cwru.edu>

Date: Tue, 7 Aug 2001 01:03:02 UTC

Severity: normal

Tags: wontfix

Merged with 159385

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#107862; Package general. Full text and rfc822 format available.

Acknowledgement sent to Mike McGuire <mjm19@po.cwru.edu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike McGuire <mjm19@po.cwru.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: newly installed services start automatically
Date: Mon, 06 Aug 2001 20:52:38 -0400
Package: general
Version: N/A; reported 2001-08-06
Severity: normal

I installed another package today (pdnsd, not that it matters) that 
has a startup script in /etc/init.d, and I've been wondering about 
this for a while. Newly installed services like this automatically 
start as part of the installation process. I can think of a few 
problems with this. The first is just a matter of convenience; the 
admin may want to configure the program before starting it. More 
severe is a problem from personal experience: on installing the ipx 
software, the default settings were apparently so mismatched with 
the network my machine was on as to cause a kernel panic. Upon 
restarting, the package system was so screwed up (since critical 
files were open when it crashed) that I resorted to a full reinstall. 

So the question is, is it really necessary for new services to be 
started automatically? Usually it isn't really a problem, but on the 
off chance something goes horribly wrong, having an unusable system 
isn't fun. (...and if I've just missed some option to dselect / apt /
dpkg in the docs, is there a good reason that this behavior is the 
default?)

Mike McGuire




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#107862; Package general. Full text and rfc822 format available.

Acknowledgement sent to Martijn van Oosterhout <kleptog@svana.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Martijn van Oosterhout <kleptog@svana.org>
To: Mike McGuire <mjm19@po.cwru.edu>, 107862@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#107862: newly installed services start automatically
Date: Tue, 7 Aug 2001 11:36:13 +1000
> So the question is, is it really necessary for new services to be 
> started automatically? Usually it isn't really a problem, but on the 
> off chance something goes horribly wrong, having an unusable system 
> isn't fun. (...and if I've just missed some option to dselect / apt /
> dpkg in the docs, is there a good reason that this behavior is the 
> default?)

Well, it not necessary. I can think of one example (the isdnutils) where the
startup scripts scan for a particular string in the configuration files and
if found, bails out with the message that configuration is needed.

You ofcourse delete the line once you have configured the cards. There are
other packages that do this also. So it seems you should setup the init.d
scripts during the install but have them check to see if the necessary
configuration has been done.

HTH,
-- 
Martijn van Oosterhout <kleptog@svana.org>
http://svana.org/kleptog/
> It would be nice if someone came up with a certification system that
> actually separated those who can barely regurgitate what they crammed over
> the last few weeks from those who command secret ninja networking powers.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#107862; Package general. Full text and rfc822 format available.

Acknowledgement sent to Martijn van Oosterhout <kleptog@svana.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Josip Rodin <joy@cibalia.gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 107862 159385. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike McGuire <mjm19@po.cwru.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 107862-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 107862-done@bugs.debian.org
Subject: just a tag is not documentation...
Date: Sat, 13 Sep 2008 00:04:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm closing this bug ("newly installed services start automatically") which is 
rightfully tagged "wontfix", as there is no information in the bug and the 
merged bug, why it's tagged that way and so it's useless to keep it open.
(Not sure if this is documented in policy or not, but I also think it's 
obvious that packages should work out of the box :) (If this can be done in a 
secure fashion.)

Thus closing because it's obvious. It's also obvious that we wontfix this. 
(IMHO.)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Oct 2008 07:28:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:09:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.